* 
{
    margin: 0;
    padding: 0;
    border: 0;
    outline: none;
    box-sizing: border-box;
    background: transparent;
    list-style: none;
    font-size: 62.5%;
    font-family: 'Poppins', 'sans-serif';
    scroll-behavior: smooth;
}

a
{
    text-decoration: none;
}

a img 
{
    border: none;
}
  
button,
a 
{
    cursor: pointer;
    color: inherit;
}
  
textarea 
{
    resize: none;
}
  
button,
textarea,
select
{
    appearance: none !important;
    border-radius: 0;
}


/* CSS RESET */

/* ROOT CSS VARIABLES */

:root 
{
    /* COLOR */

    --primary: #131517;
    --secondary: #191E23;
    --purple: #52b788;
    --white: #FFFFFF;
    --error: #DC3232;
    --overlay: rgba(25, 30, 35, 0.30);

    /* COLOR */


    /* FONT */

    --fs-xxl: clamp(2.5rem, 4vw, 6.5rem);;
    --fs-xl: clamp(6.5rem, 6.5rem + 0vw, 6.5rem);
    --fs-l: clamp(2.9rem, calc(-1.16rem + 4.5vw), 3.6rem);
    --fs-md: clamp(1.5rem, 1.4308rem + 0.3077vw, 1.8rem);
    --fs-s: clamp(2rem);

    /* FONT */
}

/* GENERAL FONT CSS PROPERTIES */

h1
{
    color: var(--white);
    font-size: var(--fs-xxl);
    font-weight: 800;
    text-align: center;
    text-transform: uppercase;
}

h2
{
    color: var(--primary);
    font-size: 3.2rem;
    font-weight: 800;
    text-align: center;
}

h3
{
    font-size: 1.6rem;
    font-weight: 500;
    text-align: center;
}

.section-title h3
{
    color: var(--primary);
    font-size: 1.6rem;
    font-weight: 700;
    text-align: center;
}

p
{
    color: var(--white);
    text-align: center;
    font-size: var(--fs-md);
    font-weight: 300;
    line-height: 1.5em;
    max-width: 500px;
    margin: 0 auto;
}

footer div p
{
    color: var(--primary);
    width: fit-content!important;
}

option
{
    font-size: 1.8rem;
    font-weight: 300;
}

label
{
    color: var(--primary)!important;
    font-size: 1.6rem;
    font-weight: 500;
}

.products-section-grid-item h3
{
    color: var(--purple);
    font-size:2.5rem;
    font-weight: 600;
    margin: 1rem 0rem;
}

.products-section-grid-item p
{
    text-align: left;
}

.products-section-grid-item ul
{
    color: white;
}

ul
{
    color: var(--primary);
    font-size: 2.5rem;
}

nav ul li a
{
    font-size: 1.7rem;
    color: var(--white);
}

.error
{
    color: var(--error);
    font-size: 1.5rem;
    margin-bottom: 2rem;
}

.project-section-grid h3
{
    font-size: 2rem;
    font-weight: 600;
}

/* GENERAL FONT CSS PROPERTIES */

/* BUTTON CSS PROPERTIES */

.primary-button
{
    color: var(--primary);
    background-color: #AACC00;
    max-width: fit-content;
    min-width: 175px;
    font-size: 1.7rem;
    font-weight: 700;
    line-height: 2rem;
    border-radius: 1rem;
    padding: 1rem 1.5rem;
    margin-top: 3rem;
    box-shadow: 0px 0px 0px 0px var(--secondary) inset;
    transition: all 600ms ease-in-out;
    text-align: center;
}

.secondary-button
{
    background-color: var(--secondary);
    color: var(--white);
    max-width: fit-content;
    min-width: 175px;
    font-size: 1.7rem;
    font-weight: 500;
    text-align: center;
    border-radius: 1rem;
    border: 1px solid var(--purple);
    padding: 1rem 1.5rem;
    margin-top: 3rem;
    transition: all 600ms ease-in-out;
}

.cta-button
{
    padding: 1.2rem 3rem;
    text-align: center;
}

.thanks-button
{
    display: flex;
    justify-content: center;
}

.info-buttons
{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    margin-bottom: 2rem;
}

/* BUTTON CSS PROPERTIES */

/* LAYOUT CSS PROPERTIES */

main 
{
    background-color: var(--white);
    padding-top: clamp(2rem, 3vw, 20rem);
}

section
{
    position: relative;
    width: 90%;
    max-width: 1140px;
    margin: 10rem auto;
    scroll-margin-top: 10rem;
}

iframe
{
    width: 100%;
    height: 500px;
}

.section-title
{
    margin-bottom: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.divider
{
    background-color: var(--primary);
    height: 0.5rem;
    width: 10%;
    margin: 1.2rem auto;
}
/* LAYOUT CSS PROPERTIES */

/* HEADER SECTION */

header
{
    display: flex;
    height: 100px;
    background-color: var(--primary);
    margin-bottom: 100px;
    border-bottom: 1px solid var(--purple);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 99;
}

.header-section
{
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 0rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.header-section div img
{
    width: 200px;
}

.header-section div h2
{
    font-size: 2.2rem;
    font-weight: 800;
    text-transform: uppercase;
    color: var(--white)
}

.header-section div h3
{
    text-align: left;
}

.header-section nav ul
{
    display: flex;
    align-items: center;
    gap: 2rem;
}

.logo h3
{
    color: var(--purple);
    font-size: 2rem;
}

/* HERO SECTION */

.hero-section
{
    background-image: url(../images/kornyezetvedelmi-felelossegbiztositass.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    box-shadow: inset 0 0 0 1000px rgba(0,0,0,.7);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--primary);
    padding-left: clamp(2rem, 3vw, 10rem);
    padding-right: clamp(2rem, 3vw, 10rem);
    padding-top: clamp(2rem, 3vw, 20rem);
    padding-bottom: clamp(2rem, 3vw, 20rem);
}

.hero-section-buttons
{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.hero-section img
{
    max-width: 300px;
}

.hero-section h3
{
    color: var(--purple);
    font-size: 2rem;
}

/* HERO SECTION */

/* INFO SECTION */

.info-section
{
    background-color: var(--purple);
    border-radius: 1rem;
    padding: 1rem;
    max-width: 800px;
}

.info-section .section-title h2
{
    margin-bottom: 2rem;
}

/* SERVICES SECTION */

.services-section-grid-item
{
    background-color: var(--secondary);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    height: 200px;
    padding: 2rem;
}

.services-section-grid-item div
{
    background-color: var(--primary);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 75px;
    height: 75px;
    border-radius: 50%;
}

.services-section-grid 
{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 20px;
    max-width: 1140px; 
    margin: 0 auto; 
}


/* SERVICES SECTION */

.project-section-grid div
{
    margin: 2rem 0rem;
}

.project-section-grid div h3
{
    padding-bottom: 1rem;
}

.project-section-grid div img
{
    width: 100%;
}

/* PROJECT SECTION */


/* PRODUCT SECTION */

.products-section-grid 
{
    display: flex;
    flex-wrap: wrap; 
    justify-content: space-between;
    align-items: stretch;
}
  
.products-section-grid-item 
{
    background-color: var(--secondary);
    display: flex;
    flex-basis: calc(49%);
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding: 2rem;
    border-radius: 1rem;
}

.products-section-grid-item p
{
    margin-bottom: 1rem;
}

/* PRODUCT SECTION */

/* ACCORDION SECTION */

.accordion
{
    max-width: 750px;
}

.accordion .box
{
    position: relative;
    margin: 1rem;
}

.accordion .box .label
{
    position: relative;
    padding: 10px;
    background-color: var(--purple);
    color: var(--white);
    cursor: pointer;
    font-size: 1.8rem;
}

.accordion .box .label::before
{
    content: '+';
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    font-size: 3.5rem;
}
.accordion .box.active .label::before
{
    content: '-';
}
.accordion .box .content
{
    position: relative;
    background-color: var(--secondary);
    color: var(--white);
    height: 0;
    overflow: hidden;
    transition: 0.5s;
    font-size: 1.5rem;
    overflow-y: auto;
}

.accordion .box .content p
{
    text-align: left;
    max-width: 100%;
    font-size: 1.5rem;
}

.accordion .box.active .content 
{
    height: fit-content;
    padding: 1rem;

}

/* CONTACT SECTION */

.contact-section
{
    padding-bottom: 10rem;
}

form 
{
    max-width: 750px;
    margin: 0 auto;
}

.form-group 
{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
  
.form-group div 
{
    flex-basis: 48%; 
}
  
label 
{
    color: var(--white);
    font-weight: 500;
    display: block;
    margin-bottom: 5px;
}
  
input,
select,
textarea 
{
    font-size: 1.6rem;
    width: 100%;
    padding: 1.5rem;
    border: 0.2rem solid var(--purple);
    border-radius: 1rem;
    color: var(--primary);
    box-sizing: border-box; 
}

textarea 
{
    resize: vertical;
    margin-bottom: 0rem;
}

.form-button
{
    display: flex;
    justify-content: center;
    align-items: center;
}

.radio-form
{
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.radio-box
{
    display: inline-flex;
    align-items: center;
    max-width: 200px;
}

.radio-button
{
    background-color: blue;
}

.radio-label
{
    margin-bottom: 0px;
    margin-left: 0.5rem;
}

.radio-wrapper
{
    display: flex;
    gap: 2rem;
}

.check-box
{
    margin-top: 1rem;
    display: inline-flex;
}

.checkbox-button
{
    margin-right: 0.5rem;
    width: fit-content;
}

.check-box label
{
    margin-bottom: 0px;
}

.check-box label a 
{
    font-size: 1.6rem;
    color: var(--purple);
}
.bonus-wrapper
{
    display: flex;
    justify-content: flex-end;
}

.bonus-form
{
    margin: 1rem 0rem;
}

/* CONTACT SECTION */



/* FOOTER */

footer
{
    background-color: var(--white);
    color: var(--primary);
}

.footer-section
{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    position: relative;
    width: 90%;
    max-width: 1140px;
    margin: 10rem auto;
    scroll-margin-top: 10rem;
}

.footer-section div
{
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    flex: 1;
    padding: 1rem;
    color: var(--primary)!important;
}

.footer div p
{
    color: var(--primary);
}

.footer-section h3
{
    font-size: 1.9rem;
    color: var(--primary);
    font-weight: 700;
    margin-bottom: 1rem;
}

.footer-section p
{
    font-size: 1.4rem;
    text-align: left;
    margin-bottom: 1rem;
    color: var(--primary);
}

.footer-section ul li a
{
    font-size: 1.5rem;
}

#mobilecall
{
    display: none;
}

@media (min-width: 1141px) 
{
    .services-section-grid 
    {
        grid-template-columns: repeat(4, 1fr);
    }
}
  
@media (max-width: 768px) 
{
    .services-section-grid 
    {
        grid-template-columns: repeat(2, 1fr);
    }
}
  
@media (max-width: 480px) 
{
    .services-section-grid 
    {
        grid-template-columns: 1fr;
    }

}

@media only screen and (max-width: 768px) {
    input[type=radio]{
      width: 10px;
      height: 10px;
    }
    .radio-wrapper
    {
	display: flex;
        flex-direction: column;
    }
}

@media only screen and (min-width: 992px)
{
    .hamburger
    {
        display: none;
    }
}

@media (max-width: 480px) 
{
    .form-group div 
    {
      flex-basis: 100%; 
    }
}

@media (max-width: 768px) 
{
    .products-section-grid-item 
    {
      flex-basis: 100%; 
    }
    .footer-section
    {
        display: flex;
        flex-direction: column;
    }
    .bonus-form
    {
        width: 100%;
    }
    .info-buttons
    {
        flex-direction: column;
    }
    .radio-label
    {
        font-size: 1.4rem;
    }
    h2
    {
        font-size: 2.8rem;
    }
}
  
@media only screen and (max-width: 480px)
{
    .hero-section-buttons
    {
        flex-direction: column;
        gap: 2rem;
    }
    .secondary-button
    {
        margin-top: 0rem;
    }
    #mobilecall
    {
        display: block;
        margin-bottom: 2rem;
    }
}

@media only screen and (max-width: 768px)
{
    .products-section-grid
    {
        gap: 3rem;
    }

}
@media only screen and (min-width: 992px)
{
    .hamburger
    {
        display: none;
    }

}
  
@media only screen and (max-width: 1100px)
{
    .header-section
    {
        padding: 0rem;
    }
    .header-section nav
    {
        background-color: var(--secondary);
        position: fixed;
        left: -100%;
        top: 100px;
        gap: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 100%;
        height: 400px;
        text-align: center;
        transition: 0.3s;
    }
    .header-section nav ul
    {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 2rem;
    }
    .header-section nav ul li a
    {
        margin-right: 0rem;
        color: var(--white);
    }
    .header-section nav .primary-button
    {
        margin-top: 3rem;
    }
    .header-section nav.active
    {
        left: 0;
        background-color: var(--secondary);
    }
    .hamburger
    {
        display: block;
        position: relative;
        user-select: none;
        appearance: none;
        border: none;
        background: none;
        cursor: pointer;
        z-index: 1;
        margin-bottom: -7px;
    }

    .hamburger span
    {
        display: block;
        position: relative;
        width: 33px;
        height: 3px;
        background-color: var(--white);
        border-radius: 6px;
        margin-bottom: 7px;
        transform-origin: 0 0;
        transition: 0.5s;
        z-index: 1;
    }
    .hamburger:hover span:nth-child(2) 
    {
        transform: translateX(10px);
        background-color: var(--white);
    }
    .hamburger.active span:nth-child(1) 
    {
        transform: translate(0px, -2px) rotate(45deg);
    }
    
    .hamburger.active span:nth-child(2) 
    {
        transform: translateX(150px);
    }    
    .hamburger.active span:nth-child(3) 
    {
        transform: translate(-2px, 1px) rotate(-45deg);
    }

}
  